Bug 103584 - [bdw] GPU hang in Xorg
Summary: [bdw] GPU hang in Xorg
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high blocker
Assignee: Cyril Moreau
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-05 23:00 UTC by Cyril Moreau
Modified: 2019-09-25 19:05 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
bug log files (215.33 KB, application/zip)
2017-11-05 23:00 UTC, Cyril Moreau
Details
xubuntu xenial and artful (408.58 KB, text/plain)
2017-11-09 08:57 UTC, Cyril Moreau
Details
dmesg_xubuntu_artful (55.81 KB, text/plain)
2017-11-09 08:59 UTC, Cyril Moreau
Details
syslog_xubuntu_xenial (143.59 KB, text/plain)
2017-11-09 09:00 UTC, Cyril Moreau
Details
dmesg_xubuntu_xenial (58.71 KB, text/plain)
2017-11-09 09:01 UTC, Cyril Moreau
Details
syslog_xubuntu_artful (408.58 KB, text/plain)
2017-11-09 09:01 UTC, Cyril Moreau
Details
mesa logs kernel 4.4 and 4.13 (227.25 KB, application/gzip)
2017-11-09 21:29 UTC, Cyril Moreau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyril Moreau 2017-11-05 23:00:15 UTC
Created attachment 135250 [details]
bug log files

Hi,

The ubuntu/xubuntu 17.10 freeze at boot.

Dell inspiron 7352
VGA Intal corporation hd graphics 5500
Kernel 4.4.0.98-generic & 4.4.13.0-16-generic

I have the following error :
Nov  5 14:23:31 PITA kernel: [  335.832424] [drm] stuck on render ring
Nov  5 14:23:31 PITA kernel: [  335.833016] [drm] GPU HANG: ecode 8:0:0x85dfbeff, in compiz [1745], reason: Ring hung, action: reset
Nov  5 14:23:31 PITA kernel: [  335.833020] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Nov  5 14:23:31 PITA kernel: [  335.833022] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Nov  5 14:23:31 PITA kernel: [  335.833025] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Nov  5 14:23:31 PITA kernel: [  335.833028] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Nov  5 14:23:31 PITA kernel: [  335.833030] [drm] GPU crash dump saved to /sys/class/drm/card0/error

I added the syslog, dmesg and /sys/class/drm/card0/error in attachment
I tried with ubuntu and xubuntu, and the conflict happened with xorg and compiz

someone knows how to fix this issue?
Comment 1 Elizabeth 2017-11-08 20:18:41 UTC
Hello Cyril, 
Could you please try to replicate with a newer kernel version to get more information in the error state, at least 4.12 or up? 
Also what Mesa version do you have? If default, could you install newer version, 17 or up?? 
Is this desktop dependent??
According to error state at ubuntu your using Kernel: 4.4.0-31-generic.
I'll try to replicate by my side, meanwhile could you please do this test. Thank you.
Comment 2 Elizabeth 2017-11-08 21:09:42 UTC
(In reply to Elizabeth from comment #1)
> Hello Cyril, 
> Could you please try to replicate with a newer kernel version to get more
> information in the error state, at least 4.12 or up? 
> Also what Mesa version do you have? If default, could you install newer
> version, 17 or up?? 
> Is this desktop dependent??
> According to error state at ubuntu your using Kernel: 4.4.0-31-generic.
> I'll try to replicate by my side, meanwhile could you please do this test.
> Thank you.
I just installed a fresh ubuntu 17.10 image on BDW i5-5200. It has 4.13.0-16-generic and Mesa 17.2.2, I have no problem at boot. Any hint to replicate??
Comment 3 Cyril Moreau 2017-11-08 21:53:55 UTC
Hi,

I did more tests and I think i have a hardware issue. My graphic card seems to bug.
I think these errors are related to my physical issue.

Do you know how can I confirm it?

Thank you

Cyril
Comment 4 Cyril Moreau 2017-11-09 08:57:45 UTC
Created attachment 135339 [details]
xubuntu xenial and artful
Comment 5 Cyril Moreau 2017-11-09 08:59:57 UTC
Created attachment 135340 [details]
dmesg_xubuntu_artful
Comment 6 Cyril Moreau 2017-11-09 09:00:37 UTC
Created attachment 135341 [details]
syslog_xubuntu_xenial
Comment 7 Cyril Moreau 2017-11-09 09:01:02 UTC
Created attachment 135342 [details]
dmesg_xubuntu_xenial
Comment 8 Cyril Moreau 2017-11-09 09:01:32 UTC
Created attachment 135343 [details]
syslog_xubuntu_artful
Comment 9 Cyril Moreau 2017-11-09 09:01:40 UTC
Hi,

I did other small test, I did not have enough time, but:
- I installed Windows 10 to my laptop, and I had the same freezing issue. ( i know it is nothing to see with linux, but i wanted to see was not supported by linux but supported by windows)

I also installed xubuntu xenial, and strangely it works (syslog and dmesg in attachment)

Then I upgraded it to xubuntu artful with the kernel 4.13, and it does not work.(syslog and dmesg in attachment)

I did not check for the mesa version but I will do it tonight.

I am happy to see that it works on xubuntu xenial but I dont know why.

If you need more information (command line result...), let me know.

I give you more information tonight
Comment 10 Cyril Moreau 2017-11-09 21:29:23 UTC
Created attachment 135360 [details]
mesa logs kernel 4.4 and 4.13
Comment 11 Cyril Moreau 2017-11-09 21:32:39 UTC
According to my last tests, xubuntu works with the kernel 4.13 and 4.4 with the mesa version 11.2 (OpenGL ES profile version string: OpenGL ES 3.0 Mesa 11.2.0)

in 4.13 i have an issue with my wireless card (but it is another story.
Comment 12 Cyril Moreau 2017-11-14 21:43:35 UTC
Hi,

I am running xubuntu xenial
#uname -a
Linux PITA 4.4.0-98-generic #121-Ubuntu SMP Tue Oct 10 14:24:03 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

#cat /etc/os-release 
NAME="Ubuntu"
VERSION="16.04.3 LTS (Xenial Xerus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.04.3 LTS"
VERSION_ID="16.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
VERSION_CODENAME=xenial
UBUNTU_CODENAME=xenial

When I execute glxgears i get :
# glxgears 
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
intel_do_flush_locked failed: Input/output error
root@PITA:/home/cyril# man glxgears
root@PITA:/home/cyril# cat /var/log/syslog
Nov 14 21:22:08 PITA kernel: [ 5600.140089] [drm] stuck on render ring
Nov 14 21:22:08 PITA kernel: [ 5600.140397] [drm] GPU HANG: ecode 8:0:0x85dfffff, in glxgears [4562], reason: Ring hung, action: reset
Nov 14 21:22:08 PITA kernel: [ 5600.142565] drm/i915: Resetting chip after gpu hang
Nov 14 21:22:14 PITA kernel: [ 5606.140245] [drm] stuck on render ring
Nov 14 21:22:14 PITA kernel: [ 5606.140872] [drm] GPU HANG: ecode 8:0:0x85dffffb, in glxgears [4562], reason: Ring hung, action: reset
Nov 14 21:22:14 PITA kernel: [ 5606.143184] drm/i915: Resetting chip after gpu hang


And when I display OpenGL renderer information, I get :
# glxgears -info
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
GL_RENDERER   = Mesa DRI Intel(R) HD Graphics 5500 (Broadwell GT2) 
GL_VERSION    = 3.0 Mesa 17.0.7
GL_VENDOR     = Intel Open Source Technology Center
GL_EXTENSIONS = GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_polygon_offset GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_S3_s3tc GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_compression_s3tc GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_APPLE_packed_pixels GL_APPLE_vertex_array_object GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_NV_primitive_restart GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_occlusion_query2 GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_float GL_ARB_texture_rectangle GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_APPLE_object_purgeable GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_gpu_program_parameters GL_EXT_texture_array GL_EXT_texture_integer GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_OES_EGL_image GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_AMD_conservative_depth GL_AMD_draw_buffers_blend GL_AMD_seamless_cubemap_per_texture GL_ARB_ES2_compatibility GL_ARB_blend_func_extended GL_ARB_debug_output GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_shader_texture_lod GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_multisample GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_uniform_buffer_object GL_ARB_vertex_type_2_10_10_10_rev GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_NV_texture_barrier GL_ARB_get_program_binary GL_ARB_robustness GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_shader_precision GL_ARB_texture_compression_bptc GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_shader_atomic_counters GL_ARB_shader_image_load_store GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_texture_storage GL_ARB_transform_feedback_instanced GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_transform_feedback GL_AMD_shader_trinary_minmax GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_clear_buffer_object GL_ARB_compute_shader GL_ARB_copy_image GL_ARB_explicit_uniform_location GL_ARB_framebuffer_no_attachments GL_ARB_invalidate_subdata GL_ARB_program_interface_query GL_ARB_robust_buffer_access_behavior GL_ARB_shader_image_size GL_ARB_shader_storage_buffer_object GL_ARB_stencil_texturing GL_ARB_texture_query_levels GL_ARB_texture_storage_multisample GL_ARB_texture_view GL_ARB_vertex_attrib_binding GL_KHR_debug GL_KHR_robustness GL_ARB_buffer_storage GL_ARB_clear_texture GL_ARB_internalformat_query2 GL_ARB_multi_bind GL_ARB_query_buffer_object GL_ARB_seamless_cubemap_per_texture GL_ARB_shader_draw_parameters GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_stencil8 GL_ARB_vertex_type_10f_11f_11f_rev GL_EXT_shader_integer_mix GL_ARB_clip_control GL_ARB_conditional_render_inverted GL_ARB_cull_distance GL_ARB_derivative_control GL_ARB_get_texture_sub_image GL_ARB_pipeline_statistics_query GL_ARB_shader_texture_image_samples GL_ARB_texture_barrier GL_EXT_polygon_offset_clamp GL_KHR_blend_equation_advanced GL_KHR_context_flush_control GL_KHR_robust_buffer_access_behavior GL_ARB_shader_atomic_counter_ops GL_ARB_shader_clock GL_EXT_shader_samples_identical GL_MESA_shader_integer_functions 
VisualID 210, 0xd2
3 frames in 6.0 seconds =  0.502 FPS
intel_do_flush_locked failed: Input/output error

I hope this information will help you more
Comment 13 Cyril Moreau 2017-11-14 22:24:36 UTC
I installed glmark2, as it seems to give more information :

#glmark2 -d
Debug: Found 5 matching FB configs.
Debug: GLX chosen config ID: 0x95 Native Visual ID: 0x20
Debug:   Buffer: 32 bits
Debug:      Red: 8 bits
Debug:    Green: 8 bits
Debug:     Blue: 8 bits
Debug:    Alpha: 8 bits
Debug:    Depth: 24 bits
Debug:  Stencil: 8 bits
Debug: Creating XWindow W: 800 H: 600 VisualID: 0x20
Info: =======================================================
Info:     glmark2 2014.03+git20150611.fa71af2d
Info: =======================================================
Info:     OpenGL Information
Info:     GL_VENDOR:     Intel Open Source Technology Center
Info:     GL_RENDERER:   Mesa DRI Intel(R) HD Graphics 5500 (Broadwell GT2) 
Info:     GL_VERSION:    3.0 Mesa 17.0.7
Info: =======================================================
Debug: Loading vertex shader from file None:
Debug: const vec4 MaterialDiffuse = vec4(1.000000, 1.000000, 1.000000, 1.000000);
Debug: const vec4 LightSourcePosition = vec4(20.000000, 20.000000, 10.000000, 1.000000);
Debug: attribute vec3 position;
Debug: attribute vec3 normal;
Debug: attribute vec2 texcoord;
Debug: 
Debug: uniform mat4 ModelViewProjectionMatrix;
Debug: uniform mat4 NormalMatrix;
Debug: 
Debug: varying vec4 Color;
Debug: varying vec2 TextureCoord;
Debug: 
Debug: void main(void)
Debug: {
Debug:     // Transform the normal to eye coordinates
Debug:     vec3 N = normalize(vec3(NormalMatrix * vec4(normal, 1.0)));
Debug: 
Debug:     // The LightSourcePosition is actually its direction for directional light
Debug:     vec3 L = normalize(LightSourcePosition.xyz);
Debug: 
Debug:     // Multiply the diffuse value by the vertex color (which is fixed in this case)
Debug:     // to get the actual color that we will use to draw this vertex with
Debug:     float diffuse = max(dot(N, L), 0.0);
Debug:     Color = vec4(diffuse * MaterialDiffuse.rgb, MaterialDiffuse.a);
Debug: 
Debug:     // Set the texture coordinates as a varying
Debug:     TextureCoord = texcoord;
Debug: 
Debug:     // Transform the position to clip coordinates
Debug:     gl_Position = ModelViewProjectionMatrix * vec4(position, 1.0);
Debug: }
Debug: Loading fragment shader from file None:
Debug: #ifdef GL_ES
Debug: precision mediump float;
Debug: #endif
Debug: varying vec4 Color;
Debug: varying vec2 TextureCoord;
Debug: 
Debug: void main(void)
Debug: {
Debug:     gl_FragColor = Color;
Debug: }
Debug: Loading model from 3ds file '/usr/share/glmark2/models/horse.3ds'
Debug:     Object name: HORSE_L_Mate Vertex count: 3582 Face count: 7172
Info: [build] use-vbo=false:intel_do_flush_locked failed: Input/output error



Let me know how can i give you more information.
I am still looking for information or solutions.

BTW, When I am using Mozilla Firefox 56.0 it works
when I am using Chromium 62.0.3202.75 Built on Ubuntu , running on Ubuntu 16.04 or google-chrome-stable, it does not work, getting the same error (Nov  5 14:23:31 PITA kernel: [  335.832424] [drm] stuck on render ring
Nov  5 14:23:31 PITA kernel: [  335.833016] [drm] GPU HANG: ecode 8:0:0x85dfbeff, in chromium [1745], reason: Ring hung, action: reset
Comment 14 Cyril Moreau 2017-11-14 22:43:15 UTC
------- LIBGL_ALWAYS_SOFTWARE=1 -----------

When I execute chrome with a shell terminal it does not work
# google-chrome-stable 
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[7480:7480:1114/233448.872351:ERROR:gles2_cmd_decoder.cc(16248)] Offscreen context lost via ARB/EXT_robustness. Reset status = GL_INNOCENT_CONTEXT_RESET_KHR
[7480:7480:1114/233448.872440:ERROR:gles2_cmd_decoder.cc(5414)] Error: 5 for Command kBindTexImage2DCHROMIUM
[7480:7480:1114/233448.872469:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[7554:7554:1114/233454.873052:ERROR:gles2_cmd_decoder.cc(16248)] Onscreen context lost via ARB/EXT_robustness. Reset status = GL_GUILTY_CONTEXT_RESET_KHR
[7554:7554:1114/233454.873153:ERROR:gles2_cmd_decoder.cc(4394)]   GLES2DecoderImpl: Context reset detected after MakeCurrent.
[7554:7554:1114/233454.873224:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
[7554:7554:1114/233454.873253:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.

If I use # "LIBGL_ALWAYS_SOFTWARE=1 google-chrome-stable" it works
Comment 15 Cyril Moreau 2017-11-14 22:55:15 UTC
I give you again the same command output because there are differents errors :

$ google-chrome-stable 
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[2009:2009:1114/235202.382589:ERROR:gles2_cmd_decoder.cc(16248)] Offscreen context lost via ARB/EXT_robustness. Reset status = GL_INNOCENT_CONTEXT_RESET_KHR
[2009:2009:1114/235202.382681:ERROR:gles2_cmd_decoder.cc(4394)]   GLES2DecoderImpl: Context reset detected after MakeCurrent.
[2009:2009:1114/235202.382750:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
[2009:2009:1114/235202.382778:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[2085:2085:1114/235208.381871:ERROR:gles2_cmd_decoder.cc(16248)] Onscreen context lost via ARB/EXT_robustness. Reset status = GL_GUILTY_CONTEXT_RESET_KHR
[2085:2085:1114/235208.381926:ERROR:gles2_cmd_decoder.cc(4394)]   GLES2DecoderImpl: Context reset detected after MakeCurrent.
[2085:2085:1114/235208.381970:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
[2085:2085:1114/235208.381988:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[2101:2101:1114/235214.399557:ERROR:gles2_cmd_decoder.cc(16248)] Onscreen context lost via ARB/EXT_robustness. Reset status = GL_GUILTY_CONTEXT_RESET_KHR
[2101:2101:1114/235214.399748:ERROR:gles2_cmd_decoder.cc(4394)]   GLES2DecoderImpl: Context reset detected after MakeCurrent.
[2101:2101:1114/235214.399824:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
[2101:2101:1114/235214.399850:ERROR:gpu_channel_manager.cc(197)] Exiting GPU process because some drivers cannot recover from problems.
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[2116:2116:1114/235214.511068:ERROR:gles2_cmd_decoder_autogen.h(143)] [.DisplayCompositor-0x2cf706389400]GL ERROR :GL_INVALID_ENUM : glBindTexture: target was GL_FALSE
[2116:2116:1114/235214.511130:ERROR:gles2_cmd_decoder_autogen.h(2914)] [.DisplayCompositor-0x2cf706389400]GL ERROR :GL_INVALID_ENUM : glTexParameteri: target was GL_FALSE
[2116:2116:1114/235214.511141:ERROR:gles2_cmd_decoder_autogen.h(2914)] [.DisplayCompositor-0x2cf706389400]GL ERROR :GL_INVALID_ENUM : glTexParameteri: target was GL_FALSE
[2116:2116:1114/235214.514652:ERROR:gles2_cmd_decoder_autogen.h(143)] [.DisplayCompositor-0x2cf706389400]GL ERROR :GL_INVALID_ENUM : glBindTexture: target was GL_FALSE
Comment 16 Cyril Moreau 2017-11-14 23:01:01 UTC
I have tried the advices given in the following link :
https://askubuntu.com/questions/170668/intel-do-flush-locked-failed-input-output-error

LIBGL_ALWAYS_SOFTWARE=1 ./yourprogram

&

export hiz=false
export INTEL_HIZ=0
export INTEL_SEPARATE_STENCIL=0

&

sudo intel_reg_write 0x2120 0x1206800

Only the LIBGL_ALWAYS_SOFTWARE=1 ./yourprogram works
Comment 17 Elizabeth 2017-12-08 20:50:22 UTC
Hello Cyril, 
LIBGL_ALWAYS_SOFTWARE=1 should avoid using HW acceleration, so this could still be a HW issue. Do you mind trying the new Mesa release 17.3?

From https://www.mesa3d.org/envvars.html:
"LIBGL_ALWAYS_SOFTWARE - if set to `true`, always use software rendering"
Comment 18 mirh 2018-12-09 16:29:38 UTC
One year is passed. 
Anyone still reporting this?
Comment 19 GitLab Migration User 2019-09-25 19:05:27 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1646.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.